# 1.0.0[−][src]Trait std::os::unix::ffi::OsStringExt

###

    pub trait OsStringExt {
        pub fn from_vec(vec: Vec<u8>) -> Self;
        pub fn into_vec(self) -> Vec<u8>ⓘNotable traits for Vec<u8>impl Write for Vec<u8>;
    }

This is supported on Unix only.

Platform-specific extensions to `OsString`.

## Required methods

### `pub fn from_vec(vec: Vec<u8>) -> Self`[src]

Creates an `OsString` from a byte vector.

See the module documentation for an example.

### `pub fn into_vec(self) -> Vec<u8>ⓘ

### Notable traits for Vec<u8>

`impl Write for Vec<u8>`
`[src]

Yields the underlying byte vector of this `OsString`.

See the module documentation for an example.

Loading content...

## Implementors

### `impl OsStringExt for OsString`[src]

#### `pub fn from_vec(vec: Vec<u8>) -> OsString`[src]

This is supported on Unix only.

#### `pub fn into_vec(self) -> Vec<u8>ⓘ

### Notable traits for Vec<u8>

`impl Write for Vec<u8>`
`[src]

This is supported on Unix only.
Loading content...